<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.predict.mapper.NoscalePrDaEfPeriodDataMapper">

    <resultMap type="NoscalePrDaEfPeriodData" id="NoscalePrDaEfPeriodDataResult">
        <result property="wfPrNo" column="wf_pr_no"/>
        <result property="modelNo" column="model_no"/>
        <result property="dataTime" column="data_time"/>
        <result property="value" column="value"/>
        <result property="dataFlag" column="data_flag"/>
    </resultMap>

    <sql id="selectNoscalePrDaEfPeriodDataVo">
        select wf_pr_no, model_no, data_time, value, data_flag from noscale_pr_da_ef_period_data
    </sql>

    <select id="selectNoscalePrDaEfPeriodDataList" parameterType="NoscalePrDaEfPeriodData"
            resultMap="NoscalePrDaEfPeriodDataResult">
        <include refid="selectNoscalePrDaEfPeriodDataVo"/>
        <where>
            <if test="wfPrNo != null ">and wf_pr_no = #{wfPrNo}</if>
            <if test="modelNo != null ">and model_no = #{modelNo}</if>
            <if test="value != null ">and value = #{value}</if>
            <if test="dataFlag != null ">and data_flag = #{dataFlag}</if>
            <if test="params.beginDataTime != null and params.beginDataTime != '' and params.endDataTime != null and params.endDataTime != ''">
                and data_time between to_date(#{params.beginDataTime},'yyyy-MM-dd HH24:MI:SS') and
                to_date(#{params.endDataTime},'yyyy-MM-dd HH24:MI:SS')
            </if>
            <if test="dataTime != null ">and data_time = #{dataTime}</if>
            <if test="condition != null ">and to_char(data_time,'yyyy-MM-dd HH24:MI:SS') LIKE '%00:00:00%'</if>
        </where>
        order by data_time asc
    </select>

    <select id="selectNoscalePrDaEfPeriodDataById" parameterType="Long" resultMap="NoscalePrDaEfPeriodDataResult">
        <include refid="selectNoscalePrDaEfPeriodDataVo"/>
        where wf_pr_no = #{wfPrNo}
    </select>
    <select id="selectNoscalePrDaEfPeriodDataByJh" parameterType="NoscalePrDaEfPeriodData"
            resultMap="NoscalePrDaEfPeriodDataResult">
        <include refid="selectNoscalePrDaEfPeriodDataVo"/>
        where wf_pr_no = #{projectNo} and model_no = #{modelNo} and data_time = #{dataTime}
    </select>

    <select id="selectNoscalePrDaEfPeriodData" parameterType="NoscalePrDaEfPeriodData"
            resultMap="NoscalePrDaEfPeriodDataResult">
        <include refid="selectNoscalePrDaEfPeriodDataVo"/>
        where wf_pr_no = #{projectNo} and model_no = #{modelNo} and data_time > #{dataTime}
    </select>

</mapper>